## Contribution requirements

1. Contributions must adhere to [Magento coding standards](http://devdocs.magento.com/guides/v2.3/coding-standards/bk-coding-standards.html).
2. Pull requests (PRs) must be accompanied by a meaningful description of their purpose. Comprehensive descriptions increase the chances of a pull request to be merged quickly and without additional clarification requests.
3. Commits must be accompanied by meaningful commit messages.
4. PRs which include bug fixing, must be accompanied with step-by-step description of how to reproduce the bug.
5. For large features or changes, please [open an issue](https://github.com/eriocnemis/m2.Directory/issues) and discuss first. This may prevent duplicate or unnecessary effort, and it may gain you some additional contributors.

## Contribution process

If you are a new GitHub user, we recommend that you create your own [free github account](https://github.com/signup/free). By doing that, you will be able to collaborate with the Eriocnemis team, “fork” the Eriocnemis project and be able to easily send “pull requests”.

1. Search current [listed issues](https://github.com/eriocnemis/m2.Directory/issues) (open or closed) for similar proposals of intended contribution before starting work on a new contribution.
2. Create and test your work.
3. Once your contribution is received, Eriocnemis  team will review the contribution and collaborate with you as needed to improve the quality of the contribution.

## Code of Conduct

Please note that this project is released with a Contributor Code of Conduct. We expect you to agree to its terms when participating in this project.
The full text is available in the repository (https://github.com/eriocnemis/m2.Directory/blob/master/.github/CODE_OF_CONDUCT.md).
